# -*- encoding: utf-8 -*-
# stub: dbd-pg 0.3.9 ruby lib

Gem::Specification.new do |s|
  s.name = "dbd-pg"
  s.version = "0.3.9"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Erik Hollensbe", "Christopher Maujean"]
  s.date = "2010-03-06"
  s.description = "PostgreSQL DBI DBD"
  s.email = "ruby-dbi-users@rubyforge.org"
  s.extra_rdoc_files = ["README", "LICENSE", "ChangeLog"]
  s.files = ["ChangeLog", "LICENSE", "README", "lib/dbd/Pg.rb", "lib/dbd/pg/database.rb", "lib/dbd/pg/exec.rb", "lib/dbd/pg/statement.rb", "lib/dbd/pg/tuples.rb", "lib/dbd/pg/type.rb", "test/DBD_TESTS", "test/dbd/general/test_database.rb", "test/dbd/general/test_statement.rb", "test/dbd/general/test_types.rb", "test/dbd/postgresql/base.rb", "test/dbd/postgresql/down.sql", "test/dbd/postgresql/test_arrays.rb", "test/dbd/postgresql/test_async.rb", "test/dbd/postgresql/test_blob.rb", "test/dbd/postgresql/test_bytea.rb", "test/dbd/postgresql/test_ping.rb", "test/dbd/postgresql/test_timestamp.rb", "test/dbd/postgresql/test_transactions.rb", "test/dbd/postgresql/testdbipg.rb", "test/dbd/postgresql/up.sql", "test/ts_dbd.rb"]
  s.homepage = "http://www.rubyforge.org/projects/ruby-dbi"
  s.required_ruby_version = Gem::Requirement.new(">= 1.8.0")
  s.rubyforge_project = "ruby-dbi"
  s.rubygems_version = "2.2.2"
  s.summary = "PostgreSQL DBI DBD"
  s.test_files = ["test/ts_dbd.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<dbi>, [">= 0.4.0"])
      s.add_runtime_dependency(%q<pg>, [">= 0"])
    else
      s.add_dependency(%q<dbi>, [">= 0.4.0"])
      s.add_dependency(%q<pg>, [">= 0"])
    end
  else
    s.add_dependency(%q<dbi>, [">= 0.4.0"])
    s.add_dependency(%q<pg>, [">= 0"])
  end
end
